Amavisd-new, ClamAV and SpamAssassin

Discussion in 'Installation/Configuration' started by GioMBG, Sep 1, 2011.

  1. GioMBG

    GioMBG New Member

    Hi Staff,
    Centos 6 I try to set up:
    Amavisd-new, ClamAV and SpamAssassin
    following this tutorial:

    when I strart amavisd I receive this error:

    [[email protected] ~]# service amavisd start
    Starting amavisd: fetch_modules: error loading optional module MIME/Decoder/
      Can't locate Convert/ in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/share/perl5/vendor_perl/MIME/Decoder/ line 43.
      BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/MIME/Decoder/ line 43.
      Compilation failed in require at /usr/sbin/amavisd line 197.
  2. alleks

    alleks Member

    Reinstall the software :)
  3. GioMBG

    GioMBG New Member

    reinstalled always the same error

    I get always the same error once reinstalled...
    maybe I will use only spamassassin...
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Find the perl module package Convert::BinHex for your linux distribution and install it. Alternatively you can install the package also by using the perl shell.

Share This Page